%if 0%{?fedora} < 32
%global with_python2 1
%endif

%global pypi_name prometheus_client

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        2%{?dist}.2
Summary:        Python client for the Prometheus monitoring system

License:        ASL 2.0
URL:            https://github.com/prometheus/client_python
Source0:        https://github.com/prometheus/client_python/archive/v%{version}/client_python-%{version}.tar.gz
BuildArch:      noarch
 
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(twisted)
%endif
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(twisted)

%description
Python client for the Prometheus monitoring system.

%if 0%{?with_python2}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(twisted)
%description -n python2-%{pypi_name}
Python client for the Prometheus monitoring system.
%endif

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(twisted)
%description -n python3-%{pypi_name}
Python client for the Prometheus monitoring system.


%prep
%autosetup -n client_python-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if 0%{?with_python2}
%py2_build
%endif
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if 0%{?with_python2}
%py2_install
%endif
%py3_install

%check
%if 0%{?with_python2}
%{__python2} setup.py test
%endif
%{__python3} setup.py test

%if 0%{?with_python2}
%files -n python2-%{pypi_name}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Apr 17 2020 Oleg Girko <ol@infoserver.lv> - 0.2.0-2
- Make Python 2 build conditional.
* Wed Jun  6 2018 Oleg Girko <ol@infoserver.lv> - 0.2.0-1
- Initial package.
